Public Member Functions | Data Fields

# PrepareRefitAction Struct Reference

Refit preparation action. More...

## Public Member Functions
| PrepareRefitAction (CargoArray &consist_capleft, uint32 &refit_mask)
| Create a refit preparation action.
bool | operator() (const Vehicle *v)
| Prepares for refitting of a vehicle, subtracting its free capacity from consist_capleft and adding the cargoes it can refit to to the refit mask.
## Data Fields
CargoArray & | consist_capleft
| Capacities left in the consist.
uint32 & | refit_mask
| Bitmask of possible refit cargoes.

## Detailed Description

Refit preparation action.

Definition at line 1384 of file economy.cpp.

## Constructor & Destructor Documentation

PrepareRefitAction::PrepareRefitAction | ( | CargoArray & | consist_capleft,
|  | uint32 & | refit_mask |
| ) |  |  | `[inline]`

Create a refit preparation action.

Parameters:

  | consist_capleft | Capacities left in consist, to be updated here.
  | refit_mask | Refit mask to be constructed from refit information of vehicles.

Definition at line 1394 of file economy.cpp.

## Member Function Documentation

bool PrepareRefitAction::operator() | ( | const Vehicle * | v | ) | `[inline]`

Prepares for refitting of a vehicle, subtracting its free capacity from consist_capleft and adding the cargoes it can refit to to the refit mask.

Parameters:

  | v | The vehicle to be refitted.

Returns:
  true.

Definition at line 1403 of file economy.cpp.

References Vehicle::cargo, Vehicle::cargo_cap, Vehicle::cargo_type, consist_capleft, Vehicle::engine_type, refit_mask, and VehicleCargoList::ReservedCount().

The documentation for this struct was generated from the following file:

- src/economy.cpp